<template>
	<div class="flex flex-col align-middle items-center animate__animated animate__fadeInUp">
		<div class="text-2xl text-white" :class="{'text-error': is_error}">{{ currentLabel }}</div>
		<a href="#" class="mt-5 py-3 px-10 inline-block bg-blue-gradient text-white" v-if="!installing" @click.prevent="install">Start</a>
		<div v-else
			class="bg-gray rounded h-6 mt-5 w-1/2  animate__animated animate__fadeInUp"
			role="progressbar"
			:aria-valuenow="progress"
			aria-valuemin="0"
			aria-valuemax="100"
		>
			<div
				class="rounded h-6 text-center text-white text-sm transition-all duration-1000"
				:class="is_error ? 'bg-error' : 'bg-blue-gradient'"
				:style="progressStyle"
			>
				{{ progress + '%' }}
			</div>
		</div>
	</div>
</template>

<script>
import {mapActions, mapGetters} from "vuex";

export default {
	name: "InstallStep",
	data(){
		return {
		}
	},
	computed: {
		...mapGetters('install', [
			'progress',
			'installing',
			'currentLabel',
			'is_error',
		]),
		progressStyle(){
			return {
				width: this.progress + '%'
			}
		}
	},
	methods: {
		...mapActions('install', [
			'install'
		])
	}
}
</script>

<style scoped>

</style>